Bug 1287610 - yum message in output when FIPS is enabled
yum message in output when FIPS is enabled
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Domonkos
BaseOS QE Security Team
:
Depends On:
Blocks: 1420851 1465896 1466368
  Show dependency treegraph
 
Reported: 2015-12-02 07:50 EST by Pavel Studeník
Modified: 2017-08-18 09:48 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2015-12-02 07:50:08 EST
Description of problem:
I enabled FIPS on RHEL7.2 and when I used yum this mode, I received message on output. 

>> LC_ALL=C yum repolist --disablerepo=*
Checksum type 'md5' disabled
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repolist: 0

Version-Release number of selected component (if applicable):
yum-3.4.3-132.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. enable FIPS
2. python -c "import yum"
Checksum type 'md5' disabled

Actual results:
on output: Checksum type 'md5' disabled

Expected results:
without this messages
Comment 4 yuefliu 2017-04-06 04:18:48 EDT
The bug still exits on RHEL-7.4-20170330.n.1 with 'yum-3.4.3-154.el7.noarch' when run "yum" and "subscription-manager".
Comment 5 Lesley Kimmel 2017-04-21 09:31:20 EDT
I don't know if this is a useful or new data point, but I just kickstarted a system using 'fips=1' from the get-go and did not encounter this issue. However, with systems built without fips mode and transitioned later it does occur.
Comment 7 Karel Srot 2017-07-18 03:02:54 EDT
IMHO the message should be printed in debug mode only.
Comment 8 Brad Viviano 2017-08-03 07:22:15 EDT
After upgrading to RHEL 7.4 with FIPS enabled I am now getting a nightly email from cron because of /etc/cron.daily/rhsmd on all of my RHEL 7.4 systems about:

Checksum type 'md5' disabled

This should be fixed in /usr/libexec/rhsmd or /etc/cron.daily/rhsmd should do something useful with the output, instead of me getting one message per system per day about this.

Note You need to log in before you can comment on or make changes to this bug.